Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class GoalListenerForMetaEvents

    java.lang.Object
      jason.asSemantics.GoalListenerForMetaEvents

All Implemented Interfaces:
  GoalListener

    public class GoalListenerForMetaEvents

extends java.lang.Object
implements GoalListener

Nested Class Summary

Nested classes/interfaces inherited from interface jason.asSemantics.GoalListener
`GoalListener.GoalStates`

Constructor Summary
`GoalListenerForMetaEvents(TransitionSystem ts)`

Method Summary
`void` | `goalFailed(Trigger goal)` method called when a goal is failed
`void` | `goalFinished(Trigger goal)` method called when a goal is successfully finished
`void` | `goalResumed(Trigger goal)` called when a suspended goal is resumed
`void` | `goalStarted(Event goal)` method called when a new goal is produced by operator !
`void` | `goalSuspended(Trigger goal, java.lang.String reason)` method called when a goal is suspended (waiting action on the environment or due to internal actions like .wait and .suspend)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoalListenerForMetaEvents

    public GoalListenerForMetaEvents(TransitionSystem ts)

Method Detail

### goalStarted

    public void goalStarted(Event goal)

  Description copied from interface: `GoalListener`
  method called when a new goal is produced by operator !

  Specified by:
    `goalStarted` in interface `GoalListener`

### goalFailed

    public void goalFailed(Trigger goal)

  Description copied from interface: `GoalListener`
  method called when a goal is failed

  Specified by:
    `goalFailed` in interface `GoalListener`

### goalFinished

    public void goalFinished(Trigger goal)

  Description copied from interface: `GoalListener`
  method called when a goal is successfully finished

  Specified by:
    `goalFinished` in interface `GoalListener`

### goalResumed

    public void goalResumed(Trigger goal)

  Description copied from interface: `GoalListener`
  called when a suspended goal is resumed

  Specified by:
    `goalResumed` in interface `GoalListener`

### goalSuspended

    public void goalSuspended(Trigger goal,
                              java.lang.String reason)

  Description copied from interface: `GoalListener`
  method called when a goal is suspended (waiting action on the environment or due to internal actions like .wait and .suspend)

  Specified by:
    `goalSuspended` in interface `GoalListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD